# Method: liasettings.listposdataproviders

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/listposdataproviders#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/listposdataproviders#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/listposdataproviders#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/listposdataproviders#body.LiasettingsListPosDataProvidersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/listposdataproviders#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/listposdataproviders#try-it)

Retrieves the list of POS data providers that have active settings for the all eiligible countries.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/liasettings/posdataproviders`

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "posDataProviders": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/PosDataProviders`) } ], "kind": string } ``` |

| Fields ||
|---|---|
| `posDataProviders[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/PosDataProviders`)`` The list of POS data providers for each eligible country |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#liasettingsListPosDataProvidersResponse`". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).